package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsStoreBill;
import com.fs.his.param.FsStoreBillParam;
import com.fs.his.vo.FsStoreBillVO;

/**
 * 店铺帐单记录Service接口
 *
 * @author fs
 * @date 2023-06-25
 */
public interface IFsStoreBillService
{
    /**
     * 查询店铺帐单记录
     *
     * @param billId 店铺帐单记录主键
     * @return 店铺帐单记录
     */
    public FsStoreBill selectFsStoreBillByBillId(Long billId);

    /**
     * 查询店铺帐单记录列表
     *
     * @param fsStoreBill 店铺帐单记录
     * @return 店铺帐单记录集合
     */
    public List<FsStoreBill> selectFsStoreBillList(FsStoreBill fsStoreBill);

    /**
     * 新增店铺帐单记录
     *
     * @param fsStoreBill 店铺帐单记录
     * @return 结果
     */
    public int insertFsStoreBill(FsStoreBill fsStoreBill);

    /**
     * 修改店铺帐单记录
     *
     * @param fsStoreBill 店铺帐单记录
     * @return 结果
     */
    public int updateFsStoreBill(FsStoreBill fsStoreBill);

    /**
     * 批量删除店铺帐单记录
     *
     * @param billIds 需要删除的店铺帐单记录主键集合
     * @return 结果
     */
    public int deleteFsStoreBillByBillIds(Long[] billIds);

    /**
     * 删除店铺帐单记录信息
     *
     * @param billId 店铺帐单记录主键
     * @return 结果
     */
    public int deleteFsStoreBillByBillId(Long billId);



    List<FsStoreBillVO> selectFsStoreBillListVO(FsStoreBillParam fsStoreBill);
}
